Bug 467642 - Review Request: sugar-read - PDF reader for Sugar
Review Request: sugar-read - PDF reader for Sugar
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-10-19 17:55 EDT by Fabian Affolter
Modified: 2010-06-11 00:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-06 08:11:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbrobinson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-10-19 17:55:56 EDT
Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-read.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-read-52-1.fc10.src.rpm

Description:
The Read activity allows the laptop to act as a book reader. It has a
simple interface, and will view many kinds of text and image-based book-
like materials. It will have particular strengths in handheld mode, with
extremely low power consumption and simple navigation controls.

Read can read PDF files, single-page TIFF files, and also read DJVU files.


Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=889282


[fab@localhost noarch]$ rpmlint -i sugar-read-52-1.fc10.noarch.rpm 
sugar-read.noarch: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[fab@localhost SRPMS]$ rpmlint -i sugar-read-52-1.fc10.src.rpm 
sugar-read.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Jeremy Katz 2008-10-20 08:53:09 EDT
Does this activity work?  I was under the impression that evince changes are required for sugar-read
Comment 2 Marco Pesenti Gritti 2008-10-29 07:09:09 EDT
Yeah, I guess the activity is not actually working. We need to port sugar-evince to latest poppler (I already did some work on it) and also merge it upstream hopefully.
Comment 3 Jason Tibbitts 2009-01-09 12:32:56 EST
What's the current status of this package? If it doesn't actually work then there's not much point in reviewing it, so I'll mark it as not being ready for review.  Please clear the whiteboard when the situation changes.
Comment 4 Fabian Affolter 2009-01-30 10:44:12 EST
As far as I know, is Tomeu Vizoso working on this.
Comment 5 Tomeu Vizoso 2009-02-04 10:19:45 EST
evince 2.25.90 and gnome-python-desktop 2.25.90 have been released and would be enough to run sugar-read. sugar-evince is not needed any more as has been completely upstreamed.
Comment 6 Peter Robinson 2009-02-06 11:29:06 EST
Looking at the spec file should there not be a Requires: evince and gnome-python-desktop?

I believe there needs to be a gnome-python2-evince and I've also filed a bug to have the evince libs split out into a sub package as I don't belive sugar-read needs any of the evice gui but rather just the libraries and python binaries. The bug is RHBZ 480729
Comment 7 Peter Robinson 2009-02-06 11:33:13 EST
gnome-python2-evince is in rawhide.
Comment 8 Simon Schampijer 2009-02-13 04:04:15 EST
mbarnes rebuilt it a few days ago since it was broken - should be good to go now. Anything that is missing spec wise now for getting this in?
Comment 9 Simon Schampijer 2009-02-13 04:09:49 EST
Latest 0.84 version for read is 63 http://download.sugarlabs.org/sources/sucrose/fructose/Read/Read-63.tar.bz2 

Building Read depending on the latest evince would only work for rawhide of course.
Comment 10 Fabian Affolter 2009-02-13 04:14:21 EST
I will update the spec file and post a new SRPM.
Comment 11 Peter Robinson 2009-02-13 07:01:52 EST
> Building Read depending on the latest evince would only work for rawhide of
> course.

Yes, but sugar-evince was never in the rest of Fedora mainline anyway so it shouldn't cause any issues, except it will only be supported on F11 and later.
Comment 12 Peter Robinson 2009-03-02 07:10:27 EST
Hi Fabian, have you had any luck with an updated srpm?
Comment 13 Simon Schampijer 2009-03-04 06:40:18 EST
SPEC URL: http://shell.sugarlabs.org/~erikos/sugar-read.spec
SRPM URL: http://shell.sugarlabs.org/~erikos/sugar-read-65-1.fc10.src.rpm

Built fine: http://koji.fedoraproject.org/koji/taskinfo?taskID=1219708

Added evince and gnome-python-desktop to the spec.
Comment 14 Peter Robinson 2009-03-04 07:12:48 EST
The gnome-python requirement will actually need to be the specific sub components so it doesn't pull the whole gnome-python stack and its dependencies which are massive. 

So the minimum would be gnome-python2-evince and the other components it uses.
Comment 15 Simon Schampijer 2009-03-04 08:57:10 EST
Thanks. Updated the spec to require gnome-python2-evince. I guess I do not need to specifically list evince as requirement since this is dragged in by gnome-python2-evince
Comment 16 Peter Robinson 2009-03-04 09:09:31 EST
Going to do the review now. Just a side note that each change should increment the build and add Changelog entry.
Comment 17 Peter Robinson 2009-03-04 10:10:34 EST
APPROVED

+ rpmlint output

$ rpmlint -i /home/perobinson/rpmbuild/SRPMS/sugar-read-65-1.fc10.src.rpm
sugar-read.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  3a7c7cc764e139691a7f57c16cd6433c  Read-65.tar.bz2
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 18 Simon Schampijer 2009-03-04 12:04:26 EST
New Package CVS Request
=======================
Package Name: sugar-read
Short Description: A document reader for Sugar
Owners: erikos sdz
Comment 19 Simon Schampijer 2009-03-04 12:05:08 EST
@peter: thanks very much for the review
Comment 20 Kevin Fenzi 2009-03-05 15:47:03 EST
I assume you only want a devel branch? 

cvs done.
Comment 21 Simon Schampijer 2009-03-06 08:11:06 EST
@Kevin - yup I only wanted to have a devel branch, thanks for the quick handling 

The rpm built fine - so i am going to close this ticket.
Comment 22 Peter Robinson 2010-06-10 17:09:38 EDT
Package Change Request
======================
Package Name: sugar-read
New Branches: EL-6
Owners: pbrobinson sdz
Comment 23 Kevin Fenzi 2010-06-11 00:38:45 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.